using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Events;

public class MonoMgr : MonoBaseMgr<MonoMgr>
{
    public UnityAction func;
    void Update()
    {
        func?.Invoke();
    }
    public void AddUpdateListener(UnityAction func) 
    {
        this.func += func;
    }
    public void RemoveUpdateListener(UnityAction func) 
    {
        this.func -= func;
    }

}
